Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::R12IntEvalInfo Class Reference

Class R12IntEvalInfo contains information necessary for R12 intermediate evaluators. More...

`#include <vxb_eval_info.h>`

Inheritance diagram for sc::R12IntEvalInfo:

[legend]
Collaboration diagram for sc::R12IntEvalInfo:

[legend]
List of all members.

## Public Types

enum | StoreMethod { mem_posix = 0, posix = 1, mem_mpi = 2, mpi = 3, mem_only = 4 }

## Public Methods

| R12IntEvalInfo (StateIn &)
| R12IntEvalInfo (MBPT2_R12 *)
| ~R12IntEvalInfo ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | set_dynamic (bool dynamic)
void | set_debug_level (int debug)
void | set_ints_method (const StoreMethod method)
void | set_ints_file (const char *filename)
void | set_memory (size_t nbytes)
MolecularEnergy * | mole () const
Ref< SCF > | ref () const
Ref< Integral > | integral () const
Ref< GaussianBasisSet > | basis () const
Ref< GaussianBasisSet > | basis_aux () const
Ref< SCMatrixKit > | matrixkit () const
Ref< MemoryGrp > | mem () const
Ref< MessageGrp > | msg () const
Ref< ThreadGrp > | thr () const
bool | dynamic () const
int | debug_level () const
const StoreMethod | ints_method () const
char * | ints_file () const
const size_t | memory () const
const int | nocc () const
const int | nocc_act () const
const int | noso () const
const int | nfzc () const
const int | nfzv () const
RefSCMatrix | scf_vec () const
RefDiagSCMatrix | evals () const
int * | orbsym () const
void | compute_multipole_ints (RefSymmSCMatrix &MX, RefSymmSCMatrix &MY, RefSymmSCMatrix &MZ, RefSymmSCMatrix &MXX, RefSymmSCMatrix &MYY, RefSymmSCMatrix &MZZ)
| Compute dipole and quadrupole moment matrices in active MO basis.

## Detailed Description

Class R12IntEvalInfo contains information necessary for R12 intermediate evaluators.

## Member Function Documentation

void sc::R12IntEvalInfo::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- vxb_eval_info.h